**Purpose**:
If you want to upgrade Fedora Workstation to a new version (e.g. 41 --> 42) you can run the following commands to do so.  The overall process is fairly straightforward and requires a reboot.

```sh
sudo dnf upgrade --refresh
sudo dnf system-upgrade download --releasever=42
sudo dnf system-upgrade reboot
```

**Additional Documentation**:
https://docs.fedoraproject.org/en-US/quick-docs/upgrading-fedora-new-release/